Neos:
  Fusion:
    rendering:

      # Default Exception Handler class which should be used when a Fusion object is rendered
      # to a string. This happens e.g. if a content element is rendered or inside a "Case" matcher.
      #
      # Can be overridden on a Fusion-Object-level by setting the "@exceptionHandler" meta-property
      # in Fusion.
      exceptionHandler: 'Neos\Fusion\Core\ExceptionHandlers\XmlCommentHandler'

      # Inner Exception Handler class which should be used when a Fusion object is evaluated,
      # e.g. can return arbitrary types and not just strings. By default, the exception handler just
      # continues throwing the exception upwards.
      #
      # However, this can be overridden on a Fusion-Object-level by setting the "@exceptionHandler"
      # meta-property in Fusion, and it is especially useful for e.g. the "Neos.Fusion:ResourceUri"
      # Fusion Object, which should just return NULL silently if an exception occurs.
      innerExceptionHandler: 'Neos\Fusion\Core\ExceptionHandlers\BubblingHandler'
    debugMode: false
    enableContentCache: true

    # if set to true, Fusion is cached for each set of fusionPathPatterns.
    # Depending on the size of your Fusion, will improve rendering times 20-100+ ms.
    # HOWEVER, the cache is NOT FLUSHED automatically (yet), so that's why we suggest that
    # you enable this setting only if you are sure not to change Fusion in this context.
    # This is case if you use automatic deployment and is also assumed in Production context
    enableObjectTreeCache: false

    # The Fusion Parser will, if set to true cache for each fusion file the AST Object Tree,
    # And the used DSL expressions will also be cached.
    # This is flushed partially on file change, but you can do so manually: `./flow cache:flushone --identifier Neos_Fusion_ParsePartials`
    # This option is suited only for development and enabled there by default.
    enableParsePartialsCache: true

    # Default context objects that are available in Eel expressions
    #
    # New variables should be added with a package key prefix. Example:
    #
    #   defaultContext:
    #     'MyPackage.String': 'MyPackage\Helper\StringHelper'
    #
    defaultContext:
      String: 'Neos\Eel\Helper\StringHelper'
      Array: 'Neos\Eel\Helper\ArrayHelper'
      Date: 'Neos\Eel\Helper\DateHelper'
      Configuration: 'Neos\Eel\Helper\ConfigurationHelper'
      Math: 'Neos\Eel\Helper\MathHelper'
      Json: 'Neos\Eel\Helper\JsonHelper'
      Security: 'Neos\Eel\Helper\SecurityHelper'
      Translation: 'Neos\Flow\I18n\EelHelper\TranslationHelper'
      StaticResource: 'Neos\Flow\ResourceManagement\EelHelper\StaticResourceHelper'
      Type: 'Neos\Eel\Helper\TypeHelper'
      I18n: 'Neos\Flow\I18n\EelHelper\TranslationHelper'
      File: 'Neos\Eel\Helper\FileHelper'
      q: 'Neos\Eel\FlowQuery\FlowQuery::q'
      BaseUri: 'Neos\Fusion\Eel\BaseUriHelper'
